Unit FTN;
InterFace
type
PFTNA   = ^TFTNA;
TFTNA   = record
    Zone  : word;
    Net   : word;
    Node  : word;
    Point : word;
  end;

Function AdrToStr(ad:TFTNA):String;

Implementation

Function AdrToStr(ad:TFTNA):String;

var
ret:string;
gg:string;
begin
  Str(Ad.zone,ret);
  ret:=ret+':';
  Str(Ad.net,gg);
  ret:=ret+gg+'/';
  Str(Ad.Node,gg);
  ret:=ret+gg;
  if (Ad.Point<>0) then
   begin
    Str(Ad.Point,gg);
    ret:=ret+'.'+gg;
   end;
  AdrToStr:=Ret;
end;
end.